> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# One attachment with its sheet and the machines on the register it fits



## OpenAPI

````yaml /api-reference/openapi.json get /v1/machines/attachments/{slug}
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/machines/attachments/{slug}:
    get:
      tags:
        - v1
      summary: One attachment with its sheet and the machines on the register it fits
      operationId: identity_api_v1_attachment
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            title: Slug
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentDetailOut'
          description: OK
components:
  schemas:
    AttachmentDetailOut:
      properties:
        capacity_m3:
          anyOf:
            - type: number
            - type: 'null'
          title: Capacity M3
        carrier_max_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Carrier Max Kg
        carrier_min_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Carrier Min Kg
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        fits_classes:
          default: []
          items:
            type: string
          title: Fits Classes
          type: array
        fits_machines:
          default: []
          items:
            $ref: '#/components/schemas/MachineSummaryOut'
          title: Fits Machines
          type: array
        flow_lpm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Flow Lpm
        id:
          title: Id
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        impact_energy_j:
          anyOf:
            - type: integer
            - type: 'null'
          title: Impact Energy J
        kind:
          title: Kind
          type: string
        lifecycle:
          title: Lifecycle
          type: string
        manufacturer:
          $ref: '#/components/schemas/RefOut'
        media:
          default: []
          items:
            $ref: '#/components/schemas/MediaOut'
          title: Media
          type: array
        name:
          title: Name
          type: string
        pressure_bar:
          anyOf:
            - type: integer
            - type: 'null'
          title: Pressure Bar
        price_as_of:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Price As Of
        price_high_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price High Inr
        price_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price Inr
        price_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Kind
        published_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Published At
        slug:
          title: Slug
          type: string
        spec:
          default: []
          items:
            $ref: '#/components/schemas/SpecGroupOut'
          title: Spec
          type: array
        verified_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Verified At
        weight_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Weight Kg
        width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width Mm
      required:
        - id
        - slug
        - name
        - kind
        - manufacturer
        - lifecycle
      title: AttachmentDetailOut
      type: object
    MachineSummaryOut:
      properties:
        blade_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Blade Width Mm
        boom_length_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Boom Length M
        bucket_m3:
          anyOf:
            - type: number
            - type: 'null'
          title: Bucket M3
        dig_depth_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dig Depth Mm
        drum_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Drum Width Mm
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        fuel_lph:
          anyOf:
            - type: number
            - type: 'null'
          title: Fuel Lph
        id:
          title: Id
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        is_sample:
          default: false
          title: Is Sample
          type: boolean
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        launched_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Launched At
        lifecycle:
          title: Lifecycle
          type: string
        lift_capacity_t:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Capacity T
        lift_height_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Height M
        machine_class:
          title: Machine Class
          type: string
        manufacturer:
          $ref: '#/components/schemas/RefOut'
        name:
          title: Name
          type: string
        operating_weight_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Operating Weight Kg
        payload_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Payload Kg
        plate:
          default: []
          items:
            $ref: '#/components/schemas/PlateCellOut'
          title: Plate
          type: array
        power_kw:
          anyOf:
            - type: number
            - type: 'null'
          title: Power Kw
        power_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Power Source
        price_as_of:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Price As Of
        price_from_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price From Inr
        price_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Kind
        price_to_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price To Inr
        published_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Published At
        rated_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rated Load Kg
        slug:
          title: Slug
          type: string
        tipping_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tipping Load Kg
        verified_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Verified At
      required:
        - id
        - slug
        - name
        - manufacturer
        - machine_class
        - lifecycle
      title: MachineSummaryOut
      type: object
    RefOut:
      properties:
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
      title: RefOut
      type: object
    MediaOut:
      properties:
        alt:
          anyOf:
            - type: string
            - type: 'null'
          title: Alt
        attribution:
          anyOf:
            - type: string
            - type: 'null'
          title: Attribution
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        highlights:
          default: []
          items:
            type: string
          title: Highlights
          type: array
        kind:
          title: Kind
          type: string
        licence:
          anyOf:
            - type: string
            - type: 'null'
          title: Licence
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        summary_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary By
        thumb_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumb Url
        url:
          title: Url
          type: string
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
      required:
        - kind
        - url
      title: MediaOut
      type: object
    SpecGroupOut:
      properties:
        fields:
          items:
            $ref: '#/components/schemas/SpecFieldOut'
          title: Fields
          type: array
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
      required:
        - key
        - label
        - fields
      title: SpecGroupOut
      type: object
    PlateCellOut:
      properties:
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        label_hi:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Hi
        label_ta:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Ta
        unit:
          title: Unit
          type: string
        value:
          anyOf:
            - type: number
            - type: integer
          title: Value
      required:
        - key
        - label
        - unit
        - value
      title: PlateCellOut
      type: object
    SpecFieldOut:
      properties:
        confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          title: Value
      required:
        - key
        - label
      title: SpecFieldOut
      type: object

````